Package com.io7m.idstore.server.internal

# Class IdAdminSession

java.lang.Object
com.io7m.idstore.server.internal.IdAdminSession

public final class IdAdminSession extends Object
A controller for a single admin session.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAdminSession(UUID inUserId, String inSessionId)`
  A controller for a single admin session.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdDatabaseAdminSearchByEmailPagingType`
  `adminByEmailPaging()`
  `IdDatabaseAdminSearchPagingType`
  `adminPaging()`
  `IdDatabaseAuditListPagingType`
  `auditPaging()`
  `void`
  `setAdminSearchByEmailParameters(IdAdminSearchByEmailParameters adminParameters)`
  Set the admin listing parameters.
  `void`
  `setAdminSearchParameters(IdAdminSearchParameters adminParameters)`
  Set the admin listing parameters.
  `void`
  `setAuditListParameters(IdAuditSearchParameters auditParameters)`
  Set the audit listing parameters.
  `void`
  `setUserSearchByEmailParameters(IdUserSearchByEmailParameters userParameters)`
  Set the user listing parameters.
  `void`
  `setUserSearchParameters(IdUserSearchParameters userParameters)`
  Set the user listing parameters.
  `IdDatabaseUserSearchByEmailPagingType`
  `userByEmailPaging()`
  `IdDatabaseUserSearchPagingType`
  `userPaging()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdAdminSession

    public IdAdminSession(UUID inUserId, String inSessionId)
    A controller for a single admin session.
    Parameters:
      `inUserId` - The admin ID
      `inSessionId` - The session ID

- ## Method Details

  - ### userPaging

    public IdDatabaseUserSearchPagingType userPaging()
    Returns:
      The most recent user paging handler

  - ### userByEmailPaging

    public IdDatabaseUserSearchByEmailPagingType userByEmailPaging()
    Returns:
      The most recent user paging handler

  - ### setUserSearchParameters

    public void setUserSearchParameters(IdUserSearchParameters userParameters)
    Set the user listing parameters.
    Parameters:
      `userParameters` - The user parameters

  - ### setUserSearchByEmailParameters

    public void setUserSearchByEmailParameters(IdUserSearchByEmailParameters userParameters)
    Set the user listing parameters.
    Parameters:
      `userParameters` - The user parameters

  - ### setAuditListParameters

    public void setAuditListParameters(IdAuditSearchParameters auditParameters)
    Set the audit listing parameters.
    Parameters:
      `auditParameters` - The audit parameters

  - ### auditPaging

    public IdDatabaseAuditListPagingType auditPaging()
    Returns:
      The most recent audit paging handler

  - ### adminPaging

    public IdDatabaseAdminSearchPagingType adminPaging()
    Returns:
      The most recent admin paging handler

  - ### adminByEmailPaging

    public IdDatabaseAdminSearchByEmailPagingType adminByEmailPaging()
    Returns:
      The most recent admin paging handler

  - ### setAdminSearchParameters

    public void setAdminSearchParameters(IdAdminSearchParameters adminParameters)
    Set the admin listing parameters.
    Parameters:
      `adminParameters` - The admin parameters

  - ### setAdminSearchByEmailParameters

    public void setAdminSearchByEmailParameters(IdAdminSearchByEmailParameters adminParameters)
    Set the admin listing parameters.
    Parameters:
      `adminParameters` - The admin parameters